#!/opt/VRTSsfmh/bin/perl

#
#$Id: unsetup.pl,v 1.4 2011/04/07 19:40:27 bdighe Exp $
#$Copyright: Copyright (c) 2011 Symantec Corporation.
#All rights reserved.
#
#THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
#SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
#WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
#The Licensed Software and Documentation are deemed to be commercial
#computer software as defined in FAR 12.212 and subject to restricted
#rights as defined in FAR Section 52.227-19 "Commercial Computer
#Software - Restricted Rights" and DFARS 227.7202, "Rights in
#Commercial Computer Software or Commercial Computer Software
#Documentation", as applicable, and any successor regulations. Any use,
#modification, reproduction release, performance, display or disclosure
#of the Licensed Software and Documentation by the U.S. Government
#shall be solely in accordance with the terms of this Agreement.  $
#


BEGIN { @INC = ("/opt/VRTSsfmh/lib/modules") if ( $^O !~ /Win32/i ) }

use VRTS::AddOnInfo;
use VRTS::Util;
use VRTS::OS;
use File::Copy;
use Archive::Tar;
use VRTS::CMD;
use VRTS::Config;
require File::Path;
require File::Spec;

my $version = "4.1.119.0";
my $name = "VRTSVmCapMgmt";

if ( VRTS::AddOnInfo::is_CS() || VRTS::Util::is_ha_slave()) {
	
	#This is for CS
	
	my $addon_dir = VRTS::Paths::get_path("DeployStoreDir");

	if ($^O =~ /Win32/i) {
		$addon_dir = $addon_dir."\\" . $name ."-".$version;
	} else {
		$addon_dir = $addon_dir.$name."-".$version;
	}

	my $install_dir = VRTS::Paths::get_path("InstallDir");
	my $mhinstall_dir = File::Spec->canonpath($install_dir);
	my $csinstall_dir = $mhinstall_dir;
	$csinstall_dir =~ s/VRTSsfmh/VRTSsfmcs/;
	my $smdir = File::Spec->catfile($csinstall_dir, "esmweb", "webgui", "sm");
	my $smlibdir = File::Spec->catfile($smdir, "WEB-INF", "lib");

	#Remove the precache file

	my $destdir;

	$destdir = File::Spec->catfile($csinstall_dir, "esmweb", "precache", "web", "SrvCapacityPlannerCache.xml");
	print "Removing $destdir\n"; 
	unlink($destdir);

	my $MOCK = File::Spec->catfile($csinstall_dir, "esmweb", "tomcat", "lib", "mockpools.json");
	print("Removing $MOCK\n");
	unlink($MOCK);

	$destdir = File::Spec->catfile($smdir, "plugins", "sfm","jsp", "srvcapplanner");
	print "Removing $destdir\n";
	File::Path::rmtree($destdir);

    print("Removing help files.\n");
    $helpdir = File::Spec->catdir($csinstall_dir,"esmweb","webgui","symhelp","Content","EN_US","VOMLDOMCAPCURRENT");
    File::Path::rmtree($helpdir, 0, 1);

	print "Addon was successfully uninstalled";
	exit(0);

}

print STDERR "Addon is not installed on MH";
exit(1);


